# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.89"
name = "mxl-player-components"
version = "0.1.13"
build = "build.rs"
exclude = ["tests"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "This is a component of the X-Software MXL product line"
homepage = "https://github.com/x-software-com/mxl-crates"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/x-software-com/mxl-crates"
resolver = "2"

[package.metadata.cargo-machete]
ignored = [
    "relm4-icons-build",
    "gst-plugin-gtk4",
]

[features]
dmabuf = ["gst-plugin-gtk4/dmabuf"]
wayland = ["gst-plugin-gtk4/wayland"]
x11egl = ["gst-plugin-gtk4/x11egl"]
x11glx = ["gst-plugin-gtk4/x11glx"]

[lib]
name = "mxl_player_components"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.chrono]
version = "0.4.42"

[dependencies.const_format]
version = "0.2.35"

[dependencies.gst]
version = "0.24.3"
features = ["v1_24"]
package = "gstreamer"

[dependencies.gst-pbutils]
version = "0.24.2"
features = ["v1_24"]
package = "gstreamer-pbutils"

[dependencies.gst-play]
version = "0.24.2"
features = ["v1_24"]
package = "gstreamer-play"

[dependencies.gst-plugin-gtk4]
version = "0.14.3"
features = ["gtk_v4_14"]

[dependencies.gst-tag]
version = "0.24.3"
features = ["v1_24"]
package = "gstreamer-tag"

[dependencies.gst-video]
version = "0.24.3"
features = ["v1_24"]
package = "gstreamer-video"

[dependencies.i18n-embed]
version = "0.16.0"
features = [
    "fluent-system",
    "desktop-requester",
]

[dependencies.i18n-embed-fl]
version = "0.10.0"

[dependencies.log]
version = "0.4.28"

[dependencies.mxl-relm4-components]
version = "0.2.11"

[dependencies.notify]
version = "8.2.0"

[dependencies.notify-debouncer-full]
version = "0.6.0"

[dependencies.relm4-icons]
version = "0.10.0"

[dependencies.rust-embed]
version = "8.9.0"
features = ["debug-embed"]

[dependencies.rusty_pool]
version = "0.7.0"

[dependencies.termtree]
version = "0.5.1"

[dev-dependencies.env_logger]
version = "0.11.8"

[dev-dependencies.tempfile]
version = "3.23.0"

[build-dependencies.relm4-icons-build]
version = "0.10.0"
